Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Page 1 of 2
2Checkout module for Magento 1.4
 
acidos
Jr. Member
 
Total Posts:  4
Joined:  2010-07-13
 

Wondering if there is a 2Checkout payment module for latest Magento. The one I came accross was not compatible with 1.4.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Craig2Checkout
Jr. Member
 
Total Posts:  13
Joined:  2010-11-26
 

I just added a new 2Checkout payment extension that works with 1.4 and 1.4.1.1.

http://www.magentocommerce.com/magento-connect/undeadzed/extension/5203/craig_tco

 
Magento Community Magento Community
Magento Community
Magento Community
 
lostdog
Jr. Member
 
Total Posts:  3
Joined:  2009-02-24
 

I am trying this extension now and I am getting:

Invalid package identifier provided: community/Craig_Tco

Any help will be greatly appreciated.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Craig2Checkout
Jr. Member
 
Total Posts:  13
Joined:  2010-11-26
 

Please make sure you are using the following extension key:
magento-community/Craig_Tco

Also, since the extension is Beta you may need to change your \"Preferred State\” to \"Beta\" under the Settings tab on your Magento Connection Manager. When I tested the extension I did not have to do this in 1.4.2.0 but I did have to do it in 1.4.1.1.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Template fans
Guru
 
Total Posts:  446
Joined:  2009-11-02
 

Can this module work on magento 1.5?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Craig2Checkout
Jr. Member
 
Total Posts:  13
Joined:  2010-11-26
 

Yes I tested on a new install of 1.5.0.1 and all of the functionality worked properly.

 
Magento Community Magento Community
Magento Community
Magento Community
 
floralmusic
Jr. Member
 
Total Posts:  14
Joined:  2009-08-05
 

Hello Guru\’s,

I got following error. Current Meengto Version: 1.4.1.1. Please help....

Failed to download magento-community/Craig_Tco within preferred state \"stable\", latest release is version 1.0.0, stability \"beta\", use \"channel://connect.magentocommerce.com/community/Craig_Tco-1.0.0\" to install
Cannot initialize \’channel://connect.magentocommerce.com/community/Craig_Tco\’, invalid or missing package file
Install Errors
Package \"channel://connect.magentocommerce.com/community/Craig_Tco\" is not valid
PEAR ERROR: install failed

 
Magento Community Magento Community
Magento Community
Magento Community
 
floralmusic
Jr. Member
 
Total Posts:  14
Joined:  2009-08-05
 

Got it after i changed preferred state to Beta after I see the below message in this post. Thank you very much team.

“Also, since the extension is Beta you may need to change your \"Preferred State\” to \"Beta\" under the Settings tab on your Magento “

 
Magento Community Magento Community
Magento Community
Magento Community
 
ao6gb
Jr. Member
 
Total Posts:  10
Joined:  2009-07-06
 

Works great for me on 1.5.01. Cheers!

 
Magento Community Magento Community
Magento Community
Magento Community
 
kwickham
Jr. Member
 
Total Posts:  4
Joined:  2008-12-16
 

I have installed the extension on 14.1.1

two check out is set to demo mode, everything seems to work until the return to the site where i would expect
a transaction notification, instead I get

You have no items in your shopping cart.

Click here to continue shopping.

does anybody know why this is??
Help required

 
Magento Community Magento Community
Magento Community
Magento Community
 
Tamjid Aijazi
Jr. Member
 
Total Posts:  1
Joined:  2009-02-25
 

I have Magento ver. 1.6.0.0 community edition. The 2checkout extension installs fine, but it does not show any settings in Configuration pane. Please let me know how to configure it on 1.6.0

 
Magento Community Magento Community
Magento Community
Magento Community
 
webmaster411
Jr. Member
 
Total Posts:  1
Joined:  2011-11-08
 

Great module. any ecommerce site need ever

 
Magento Community Magento Community
Magento Community
Magento Community
 
movlim
Jr. Member
 
Total Posts:  3
Joined:  2011-10-30
Lima
 

I’ve installed both Craig-2co and Clement-2CO modules for magento 1.6.1 and don’t work. I’ve tried with cleaning the cache and loging out, but nothing happens. Any help?

 
Magento Community Magento Community
Magento Community
Magento Community
 
davison
Member
 
Avatar
Total Posts:  56
Joined:  2011-09-11
 

It works very pleasant for me in 1.5.01. I have encountered no errors yet.

 
Magento Community Magento Community
Magento Community
Magento Community
 
travelnews
Jr. Member
 
Total Posts:  1
Joined:  2012-01-30
Sydney, Australia
 

I am trying to fix this problem as well But there is some sort of Validation error in 1.4.1.1. What should I do?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Craig2Checkout
Jr. Member
 
Total Posts:  13
Joined:  2010-11-26
 

If your getting a validation error on the install please switch to magento connect version 1.0 when generating the extension key. You can also contact me directly by pm with any errors and I will work with you until you get everything working properly.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top
Page 1 of 2